aboutsummaryrefslogtreecommitdiffstats
path: root/testing/etckeeper/apk-commit_hook
diff options
context:
space:
mode:
Diffstat (limited to 'testing/etckeeper/apk-commit_hook')
-rw-r--r--testing/etckeeper/apk-commit_hook17
1 files changed, 17 insertions, 0 deletions
diff --git a/testing/etckeeper/apk-commit_hook b/testing/etckeeper/apk-commit_hook
new file mode 100644
index 0000000000..6f0a4c043c
--- /dev/null
+++ b/testing/etckeeper/apk-commit_hook
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+
+[ -x /usr/bin/etckeeper ] || exit
+
+case "$1" in
+ pre-commit)
+ etckeeper pre-install
+ ;;
+ post-commit)
+ etckeeper post-install
+ ;;
+
+ *)
+ echo "$0: Un-handled action: $1"
+ ;;
+esac